@import '../variables';

.state-cards {
  position: relative;
  display: flex;
  width: 80%;
  justify-content: space-between;
  margin-left: 50vw;
  transform: translateX(-50%);
  color: $text;
  height: 60vh;
  @media #{$mq-phone} {
    flex-flow: column wrap;
    height: fit-content;
  }
  .state-card {
    position: relative;
    height: 45%;
    background: $bg;
    padding: 20px;
    border-radius: 40px;
    min-width: 28%;
    @media #{$mq-phone} {
      margin: 20px 0;
      height: 22vh;
      padding: 15px;
    }
  }
  h3 {
    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    font-style: italic;
    margin-bottom: 25px;
    font-size: 1.3rem;
    @media #{$mq-phone} {
      font-size: 1.1rem;
      margin-bottom: 15px;
    }
  }

  h4 {
    margin-top: 30px;
    text-transform: uppercase;
    font-weight: 600;
    @media #{$mq-phone} {
      font-size: 1rem;
      margin-top: 10px;
    }
  }

  p {
    margin-bottom: 30px;
    text-transform: uppercase;
    @include gradient-text($grad1);
    @media #{$mq-phone} {
      font-size: 1rem;
      margin-bottom: 20px;
    }
  }

  h6 {
    @include gradient-text($grad1);
    position: absolute;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
    text-transform: uppercase;
    font-weight: 600;
    font-style: italic;
    font-size: 1.1rem;
    line-height: 2rem;
    @media #{$mq-phone} {
      font-size: 1rem;
      bottom: 5%;
    }
  }

  .general-cta {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    font-size: 1rem;
    padding: 8px 25px 8px 25px;
    @media #{$mq-phone} {
      font-size: 0.9rem;
      padding: 5px 15px;
      bottom: 20px;
    }
  }

  .MuiSvgIcon-root {
    fill: url('#base-gradient');
  }

  .state-cards-middle-group {
    min-width: 28%;
    .state-card:not(.state-card-minified) {
      height: 65%;
      @media #{$mq-phone} {
        height: 35vh;
      }
    }
    .state-card-minified {
      height: 5vh;
      display: flex;
      justify-content: space-between;
      flex-flow: row nowrap;
      align-items: center;
      border-radius: 30px;
      h4,
      p {
        display: none;
      }
      h3 {
        margin: 0;
        padding: 0;
        font-size: 1.2rem;
        @media #{$mq-phone} {
          font-size: 0.9rem;
        }
      }
      .general-cta {
        position: relative;
        font-size: 0.8rem;
        bottom: unset;
        padding: 5px 15px 5px 15px;
        @media #{$mq-phone} {
          padding: 3px 13px;
        }
      }
      .state-switcher * {
        position: relative;
        bottom: unset;
      }
      h6 {
        padding: 0 15px;
      }
    }
  }

  .state-card-minified {
    margin-top: 10%;
    @media #{$mq-phone} {
      margin: 0 0 20px 0;
    }
  }
  .ionicon-fill-none {
    fill: none;
    stroke: url(#base-gradient);
    stroke-width: 40px;
  }
  .react-datetime-picker {
    margin: 0;
    padding: 0;
    .react-datetime-picker__wrapper {
      border: none;
    }
    .react-calendar__tile--active {
      background: $grad1;
      font-weight: 600;
    }
    .react-calendar__tile--now {
      background: none;
      border: 2px solid $text;
    }
  }

  .chosen-date {
    display: flex;
    align-items: center;
  }

  .ionicon-close-outline {
    display: inline;
    cursor: pointer;
    svg {
      width: 40px;
      height: 40px;
    }
  }
}

.title-bar-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
  .dashboard-state-disabled {
    font-size: 1.4rem;
    text-transform: uppercase;
    line-height: 2rem;
    font-weight: 600;
    @include gradient-text($grad1);
    font-style: italic;
    margin-right: 10%;
    @media #{$mq-phone} {
      font-size: 1rem;
      margin-right: 5%;
    }
  }
  .general-cta {
    margin-right: 10%;
  }
}

.title-bar {
  display: flex;
  align-items: center;
  .general-cta {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    padding: 8px 25px 8px 25px;
    font-size: 1rem;
    @media #{$mq-phone} {
      font-size: 0.8rem;
      white-space: nowrap;
      padding: 5px 15px;
    }
    svg {
      margin: 0;
      padding: 0;
      width: 25px;
      height: 25px;
      fill: none;
      stroke-width: 50px;
      stroke: $bg;
      @media #{$mq-phone} {
        width: 20px;
        height: 20px;
        margin: 0;
        padding: 0;
      }
    }
  }
}
